import { LucidModel, ModelQueryBuilderContract } from '@adonisjs/lucid/types/model';
import { AKListFilter, SingleFieldQueryOperator } from './index.js';
export declare class AKRegexListFilter extends AKListFilter {
    regex: RegExp;
    operator: SingleFieldQueryOperator;
    constructor(regex: RegExp, operator: SingleFieldQueryOperator);
    validFields(qsFilters: Record<string, any>): string[];
    matches(qsFilters: Record<string, any>): boolean;
    apply<Model extends LucidModel, Q extends ModelQueryBuilderContract<Model, InstanceType<Model>>>(dbQuery: Q, qsFilters: Record<string, any>, model: Model): void;
    clear(qsFilters: Record<string, any>): void;
}
